<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: He_Arc::RPG::Log Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>He_Arc</b></li><li class="navelem"><b>RPG</b></li><li class="navelem"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html">Log</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="class_he___arc_1_1_r_p_g_1_1_log-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">He_Arc::RPG::Log Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This class is an entry of logs, an entry is caracterised by the level of the log; the type; and the message; it contains also the datetime of when the log occurs.  
 <a href="class_he___arc_1_1_r_p_g_1_1_log.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_log_8hpp_source.html">Log.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:af6f3e7e7e87082d7cfabf3e1c0682fe6"><td class="memItemLeft" align="right" valign="top"><a id="af6f3e7e7e87082d7cfabf3e1c0682fe6"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#af6f3e7e7e87082d7cfabf3e1c0682fe6">LogLevel</a> { <b>Default</b>
, <b>Debug</b>
, <b>Game</b>
, <b>Critical</b>
 }</td></tr>
<tr class="memdesc:af6f3e7e7e87082d7cfabf3e1c0682fe6"><td class="mdescLeft">&#160;</td><td class="mdescRight">The level of the log (is used when) <br /></td></tr>
<tr class="separator:af6f3e7e7e87082d7cfabf3e1c0682fe6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa56c017981fc107fbc22eb4dabcf4d80"><td class="memItemLeft" align="right" valign="top"><a id="aa56c017981fc107fbc22eb4dabcf4d80"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#aa56c017981fc107fbc22eb4dabcf4d80">LogType</a> { <br />
&#160;&#160;<b>MenuAction</b>
, <b>Character</b>
, <b>Move</b>
, <b>Fight</b>
, <br />
&#160;&#160;<b>Dice</b>
, <b>File</b>
, <b>Room</b>
, <b>Skill</b>
, <br />
&#160;&#160;<b>Other</b>
<br />
 }</td></tr>
<tr class="memdesc:aa56c017981fc107fbc22eb4dabcf4d80"><td class="mdescLeft">&#160;</td><td class="mdescRight">The type of the log (what have did the log) <br /></td></tr>
<tr class="separator:aa56c017981fc107fbc22eb4dabcf4d80"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:acff3f38c17d50292c7f8ebe4946a7b41"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#acff3f38c17d50292c7f8ebe4946a7b41">Log</a> (<a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#af6f3e7e7e87082d7cfabf3e1c0682fe6">LogLevel</a> level, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#aa56c017981fc107fbc22eb4dabcf4d80">LogType</a> type, string message)</td></tr>
<tr class="memdesc:acff3f38c17d50292c7f8ebe4946a7b41"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a new <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html" title="This class is an entry of logs, an entry is caracterised by the level of the log; the type; and the m...">Log</a> object.  <a href="class_he___arc_1_1_r_p_g_1_1_log.html#acff3f38c17d50292c7f8ebe4946a7b41">More...</a><br /></td></tr>
<tr class="separator:acff3f38c17d50292c7f8ebe4946a7b41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b7b9d82700b4dd63139980aa36a0779"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#af6f3e7e7e87082d7cfabf3e1c0682fe6">LogLevel</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#a1b7b9d82700b4dd63139980aa36a0779">GetLogLevel</a> () const</td></tr>
<tr class="memdesc:a1b7b9d82700b4dd63139980aa36a0779"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the Level of the log.  <a href="class_he___arc_1_1_r_p_g_1_1_log.html#a1b7b9d82700b4dd63139980aa36a0779">More...</a><br /></td></tr>
<tr class="separator:a1b7b9d82700b4dd63139980aa36a0779"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3be61282e24ac3e3c64c6eb21d9aec1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#aa56c017981fc107fbc22eb4dabcf4d80">LogType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#ab3be61282e24ac3e3c64c6eb21d9aec1">GetLogType</a> () const</td></tr>
<tr class="memdesc:ab3be61282e24ac3e3c64c6eb21d9aec1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the Type of the log.  <a href="class_he___arc_1_1_r_p_g_1_1_log.html#ab3be61282e24ac3e3c64c6eb21d9aec1">More...</a><br /></td></tr>
<tr class="separator:ab3be61282e24ac3e3c64c6eb21d9aec1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27d5733cdb2c4c09b742f5df5c0b3e74"><td class="memItemLeft" align="right" valign="top">chrono::system_clock::time_point&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#a27d5733cdb2c4c09b742f5df5c0b3e74">GetLogTime</a> () const</td></tr>
<tr class="memdesc:a27d5733cdb2c4c09b742f5df5c0b3e74"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the time of when the log occurs.  <a href="class_he___arc_1_1_r_p_g_1_1_log.html#a27d5733cdb2c4c09b742f5df5c0b3e74">More...</a><br /></td></tr>
<tr class="separator:a27d5733cdb2c4c09b742f5df5c0b3e74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e659695eb1f8cb46ad06cdb8c270a3c"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#a7e659695eb1f8cb46ad06cdb8c270a3c">GetLogMessage</a> () const</td></tr>
<tr class="memdesc:a7e659695eb1f8cb46ad06cdb8c270a3c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the message (description) of the log.  <a href="class_he___arc_1_1_r_p_g_1_1_log.html#a7e659695eb1f8cb46ad06cdb8c270a3c">More...</a><br /></td></tr>
<tr class="separator:a7e659695eb1f8cb46ad06cdb8c270a3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af06cfe8f6b2a6a72821e09e2558892aa"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#af06cfe8f6b2a6a72821e09e2558892aa">ToString</a> ()</td></tr>
<tr class="memdesc:af06cfe8f6b2a6a72821e09e2558892aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an string which one contains each information of the log.  <a href="class_he___arc_1_1_r_p_g_1_1_log.html#af06cfe8f6b2a6a72821e09e2558892aa">More...</a><br /></td></tr>
<tr class="separator:af06cfe8f6b2a6a72821e09e2558892aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ad4e64f61acdc3f3923ed6bcc66fb7147"><td class="memItemLeft" align="right" valign="top">map&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#af6f3e7e7e87082d7cfabf3e1c0682fe6">LogLevel</a>, string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#ad4e64f61acdc3f3923ed6bcc66fb7147">LogLevelToString</a></td></tr>
<tr class="memdesc:ad4e64f61acdc3f3923ed6bcc66fb7147"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert a LogLevel value to the corresponding string value.  <a href="class_he___arc_1_1_r_p_g_1_1_log.html#ad4e64f61acdc3f3923ed6bcc66fb7147">More...</a><br /></td></tr>
<tr class="separator:ad4e64f61acdc3f3923ed6bcc66fb7147"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a527455ddbfcf4565835a697b5debc443"><td class="memItemLeft" align="right" valign="top">map&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#aa56c017981fc107fbc22eb4dabcf4d80">LogType</a>, string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#a527455ddbfcf4565835a697b5debc443">LogTypeToString</a></td></tr>
<tr class="memdesc:a527455ddbfcf4565835a697b5debc443"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert a LogType value to the corresponding string value.  <a href="class_he___arc_1_1_r_p_g_1_1_log.html#a527455ddbfcf4565835a697b5debc443">More...</a><br /></td></tr>
<tr class="separator:a527455ddbfcf4565835a697b5debc443"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a0452f2fff71750632decff16693c559d"><td class="memItemLeft" align="right" valign="top"><a id="a0452f2fff71750632decff16693c559d"></a>
<a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#af6f3e7e7e87082d7cfabf3e1c0682fe6">LogLevel</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#a0452f2fff71750632decff16693c559d">m_logLevel</a> {LogLevel::Default}</td></tr>
<tr class="memdesc:a0452f2fff71750632decff16693c559d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The level of the log. <br /></td></tr>
<tr class="separator:a0452f2fff71750632decff16693c559d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb7fe3984bf2e515ef8707b8cc9ebce1"><td class="memItemLeft" align="right" valign="top"><a id="acb7fe3984bf2e515ef8707b8cc9ebce1"></a>
<a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#aa56c017981fc107fbc22eb4dabcf4d80">LogType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#acb7fe3984bf2e515ef8707b8cc9ebce1">m_logType</a> {LogType::Other}</td></tr>
<tr class="memdesc:acb7fe3984bf2e515ef8707b8cc9ebce1"><td class="mdescLeft">&#160;</td><td class="mdescRight">The type of the log. <br /></td></tr>
<tr class="separator:acb7fe3984bf2e515ef8707b8cc9ebce1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21b9d683ca5b528a08a7af22fa882f1a"><td class="memItemLeft" align="right" valign="top"><a id="a21b9d683ca5b528a08a7af22fa882f1a"></a>
chrono::system_clock::time_point&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#a21b9d683ca5b528a08a7af22fa882f1a">m_time</a> {chrono::system_clock::now()}</td></tr>
<tr class="memdesc:a21b9d683ca5b528a08a7af22fa882f1a"><td class="mdescLeft">&#160;</td><td class="mdescRight">The time when the log occurs. <br /></td></tr>
<tr class="separator:a21b9d683ca5b528a08a7af22fa882f1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a901492958fd6f506275abe197a3c28ff"><td class="memItemLeft" align="right" valign="top"><a id="a901492958fd6f506275abe197a3c28ff"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#a901492958fd6f506275abe197a3c28ff">m_message</a> {&quot;&quot;}</td></tr>
<tr class="memdesc:a901492958fd6f506275abe197a3c28ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">The message (description) of the log. <br /></td></tr>
<tr class="separator:a901492958fd6f506275abe197a3c28ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class is an entry of logs, an entry is caracterised by the level of the log; the type; and the message; it contains also the datetime of when the log occurs. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="acff3f38c17d50292c7f8ebe4946a7b41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acff3f38c17d50292c7f8ebe4946a7b41">&#9670;&nbsp;</a></span>Log()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Log::Log </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#af6f3e7e7e87082d7cfabf3e1c0682fe6">LogLevel</a>&#160;</td>
          <td class="paramname"><em>level</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#aa56c017981fc107fbc22eb4dabcf4d80">LogType</a>&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>message</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Construct a new <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html" title="This class is an entry of logs, an entry is caracterised by the level of the log; the type; and the m...">Log</a> object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">level</td><td>Level of the log </td></tr>
    <tr><td class="paramname">type</td><td>Type of the log </td></tr>
    <tr><td class="paramname">message</td><td>Message (description) of the log </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a1b7b9d82700b4dd63139980aa36a0779"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b7b9d82700b4dd63139980aa36a0779">&#9670;&nbsp;</a></span>GetLogLevel()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#af6f3e7e7e87082d7cfabf3e1c0682fe6">Log::LogLevel</a> Log::GetLogLevel </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the Level of the log. </p>
<dl class="section return"><dt>Returns</dt><dd>LogLevel level of the log </dd></dl>

</div>
</div>
<a id="a7e659695eb1f8cb46ad06cdb8c270a3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e659695eb1f8cb46ad06cdb8c270a3c">&#9670;&nbsp;</a></span>GetLogMessage()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string Log::GetLogMessage </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the message (description) of the log. </p>
<dl class="section return"><dt>Returns</dt><dd>string message of the log </dd></dl>

</div>
</div>
<a id="a27d5733cdb2c4c09b742f5df5c0b3e74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27d5733cdb2c4c09b742f5df5c0b3e74">&#9670;&nbsp;</a></span>GetLogTime()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">chrono::system_clock::time_point Log::GetLogTime </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the time of when the log occurs. </p>
<dl class="section return"><dt>Returns</dt><dd>chrono::system_clock::time_point the time of the log </dd></dl>

</div>
</div>
<a id="ab3be61282e24ac3e3c64c6eb21d9aec1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3be61282e24ac3e3c64c6eb21d9aec1">&#9670;&nbsp;</a></span>GetLogType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#aa56c017981fc107fbc22eb4dabcf4d80">Log::LogType</a> Log::GetLogType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the Type of the log. </p>
<dl class="section return"><dt>Returns</dt><dd>LogType type of the log </dd></dl>

</div>
</div>
<a id="af06cfe8f6b2a6a72821e09e2558892aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af06cfe8f6b2a6a72821e09e2558892aa">&#9670;&nbsp;</a></span>ToString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string Log::ToString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get an string which one contains each information of the log. </p>
<dl class="section return"><dt>Returns</dt><dd>string the log string in the format "[date]\t[level]\t[type]\t[message]" </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ad4e64f61acdc3f3923ed6bcc66fb7147"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4e64f61acdc3f3923ed6bcc66fb7147">&#9670;&nbsp;</a></span>LogLevelToString</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">map&lt;<a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#af6f3e7e7e87082d7cfabf3e1c0682fe6">LogLevel</a>, string&gt; He_Arc::RPG::Log::LogLevelToString</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= {</div>
<div class="line">            {Default, <span class="stringliteral">&quot;Default&quot;</span>},</div>
<div class="line">            {Debug, <span class="stringliteral">&quot;Debug&quot;</span>},</div>
<div class="line">            {Game, <span class="stringliteral">&quot;Game&quot;</span>},</div>
<div class="line">            {Critical, <span class="stringliteral">&quot;Critical&quot;</span>}</div>
<div class="line">        }</div>
</div><!-- fragment -->
<p>Convert a LogLevel value to the corresponding string value. </p>

</div>
</div>
<a id="a527455ddbfcf4565835a697b5debc443"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a527455ddbfcf4565835a697b5debc443">&#9670;&nbsp;</a></span>LogTypeToString</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">map&lt;<a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#aa56c017981fc107fbc22eb4dabcf4d80">LogType</a>, string&gt; He_Arc::RPG::Log::LogTypeToString</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= {</div>
<div class="line">            {MenuAction, <span class="stringliteral">&quot;Menu Action&quot;</span>},</div>
<div class="line">            {Character, <span class="stringliteral">&quot;Character&quot;</span>},</div>
<div class="line">            {Move, <span class="stringliteral">&quot;Movement&quot;</span>},</div>
<div class="line">            {Fight, <span class="stringliteral">&quot;Fighting&quot;</span>},</div>
<div class="line">            {Dice, <span class="stringliteral">&quot;Dice&quot;</span>},</div>
<div class="line">            {File, <span class="stringliteral">&quot;File&quot;</span>},</div>
<div class="line">            {Room, <span class="stringliteral">&quot;Room&quot;</span>},</div>
<div class="line">            {Other, <span class="stringliteral">&quot;Other&quot;</span>},</div>
<div class="line">        }</div>
</div><!-- fragment -->
<p>Convert a LogType value to the corresponding string value. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>cpp_filrouge_iscj_allemann/include/Log/<a class="el" href="_log_8hpp_source.html">Log.hpp</a></li>
<li>cpp_filrouge_iscj_allemann/src/Log/<a class="el" href="_log_8cpp.html">Log.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
